cascading.tuple.coerce

## Class IntegerObjectCoerce

- java.lang.Object
- - cascading.tuple.coerce.Coercions.Coerce<Integer>
  - - cascading.tuple.coerce.IntegerObjectCoerce

- All Implemented Interfaces:
    CoercibleType<Integer>, Serializable, Type

      public class IntegerObjectCoerce
      extends Coercions.Coerce<Integer>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `IntegerObjectCoerce(Map<Type,Coercions.Coerce> map)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `coerce(Object value)`
    `Class<Integer>` | `getCanonicalType()`

    - ### Methods inherited from class cascading.tuple.coerce.Coercions.Coerce

      `canonical, coerce, equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegerObjectCoerce

          protected IntegerObjectCoerce(Map<Type,Coercions.Coerce> map)

  - ### Method Detail

    - #### getCanonicalType

          public Class<Integer> getCanonicalType()

      Returns:
        the actual Java type this CoercibleType represents

    - #### coerce

          public Integer coerce(Object value)

      Specified by:
        `coerce` in class `Coercions.Coerce<Integer>`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.